﻿using System;
using System.Collections.Generic;

using System.Text;

using System.Windows.Data;


namespace WPF_Editors
{
    class ValueToDisplayTextConverter_PremiumRate :IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {     
            //USED with NumericEditor passing Double value.  See code in other converter is using with MaskedEditor
            if (value is Double && targetType == typeof(string))
                return ConvtPremium(value.ToString());
            else return String.Empty;             
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
             throw new NotImplementedException(); 
        }

        private string ConvtPremium(string text)
        {
            //This forces to text to be a percent sign with enough spaces to put the percent sign on the right 
            //when using left alignment in the control.  For the initial value or when the value is 0.
            //
            if (text == "0") return "                                                    %";

            //This code is concatenating the text with the percent sign.
            string result = text + " %";           
            
            return result;
        }
    }
}
