﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;


namespace WPF_Editors
{
    class EditorData : INotifyPropertyChanged
    {    

        private bool isPremiumRateEnable;
        private double premiumRate;
        private bool isContractValueEnable;
        private decimal contractValue0;
        private decimal contractValue1;
        private decimal contractValue2;
        private int quantity;

        public bool IsPremiumRateEnable
        {
            get { return isPremiumRateEnable; }
            set { isPremiumRateEnable = value;
                NotifyPropertyChanged("IsPremiumRateEnable");
            }
        }       

        public double PremiumRate
        {
            get { return premiumRate; }
            set { 
                premiumRate = value; 
                NotifyPropertyChanged("PremiumRate"); }
        } 

        public bool IsContractValueEnable
        {
            get { return isContractValueEnable; }
            set { isContractValueEnable = value;
                NotifyPropertyChanged("IsContractValueEnable");
            }
        }       

        public decimal ContractValue0
        {
            get { return contractValue0; }
            set { contractValue0 = value; NotifyPropertyChanged("ContractValue0"); }
        }
        public decimal ContractValue1
        {
            get { return contractValue1; }
            set { contractValue1 = value; NotifyPropertyChanged("ContractValue1"); }
        }
        public decimal ContractValue2
        {
            get { return contractValue2; }
            set { contractValue2 = value; NotifyPropertyChanged("ContractValue2"); }
        }      

       public int Quantity
        {
            get { return quantity; }
            set { quantity = value; NotifyPropertyChanged("Quantity"); }
        }  

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }

        }
    } 
}
   